Bug 180957 - sysutils/xcdroast cannot recognise correct version of cdda2wav
Summary: sysutils/xcdroast cannot recognise correct version of cdda2wav
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Oliver Lehmann
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-31 01:30 UTC by Gerard Seibert
Modified: 2013-07-31 18:10 UTC (History)
0 users

See Also:


Attachments
cdda2wav_version.patch (1.46 KB, patch)
2013-07-31 11:25 UTC, Gerard Seibert
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gerard Seibert 2013-07-31 01:30:00 UTC
Port: sysutils/xcdroast
Version: 0.98.a.16

Apparently, xcdroast is not recognizing the version of cdda2wav installed. When started, as root, it displays this error message:

# xcdroast

** (xcdroast:59017): WARNING **: Invalid cdda2wav version -unknown- found.
        Expecting at least version 2.01
        Start xcdroast with the -n option to override (not recommended!)

# which cdda2wav 
/usr/local/bin/cdda2wav

# cdda2wav -version
cdda2wav 3.00 (amd64-unknown-freebsd8.3) Copyright (C) 1993-2004 Heiko Ei�feldt (C) 2004-2010 J�rg Schilling

Defaults: stereo, 16 bit, 44100.00 Hz, track 1, no offset, one track,
          type: wav filename: 'audio', don't wait for signal, not quiet,
          use: 'generic_scsi', device: 'yourSCSI_Bus,yourSCSI_ID,yourSCSI_LUN', aux: ''

I rebuilt xcdroast and all its dependencies; however, the problem still exists.
Comment 1 Edwin Groothuis freebsd_committer 2013-07-31 03:24:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->oliver

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Gerard Seibert 2013-07-31 11:25:46 UTC
Apparently, there is a patch available on the application's web site:
<http://www.xcdroast.org/xcdr098/patches/>. I attached it.
Comment 3 dfilter service freebsd_committer 2013-07-31 18:03:05 UTC
Author: oliver
Date: Wed Jul 31 17:02:53 2013
New Revision: 324063
URL: http://svnweb.freebsd.org/changeset/ports/324063

Log:
  add cdda2wav version patch from http://www.xcdroast.org/xcdr098/patches/
  
  PR:		ports/180957
  Submitted by:	Gerard Seibert <gerard@seibercom.net>

Added:
  head/sysutils/xcdroast/files/
  head/sysutils/xcdroast/files/patch-cdda2wav_version   (contents, props changed)
Modified:
  head/sysutils/xcdroast/Makefile

Modified: head/sysutils/xcdroast/Makefile
==============================================================================
--- head/sysutils/xcdroast/Makefile	Wed Jul 31 16:52:45 2013	(r324062)
+++ head/sysutils/xcdroast/Makefile	Wed Jul 31 17:02:53 2013	(r324063)
@@ -3,7 +3,7 @@
 
 PORTNAME=	xcdroast
 PORTVERSION=	0.98.a.16
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	sysutils
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/0.98alpha16 \
 		http://www.xcdroast.org/download/

Added: head/sysutils/xcdroast/files/patch-cdda2wav_version
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/sysutils/xcdroast/files/patch-cdda2wav_version	Wed Jul 31 17:02:53 2013	(r324063)
@@ -0,0 +1,53 @@
+--- src/io.c	2008-08-21 15:11:40.000000000 +0200
++++ src/io.c	2009-12-29 22:54:08.571188849 +0100
+@@ -10062,6 +10062,7 @@
+ 
+ gint check_version_cdda2wav(gchar *match, gchar *found) {
+ gchar line[MAXLINE];
++gchar vline[MAXLINE];
+ gchar ver[MAXLINE];
+ FILE *fpin;
+ gchar *p;
+@@ -10076,32 +10077,38 @@
+         }
+ 
+ 	strcpy(line,"");
++	strcpy(vline,"");
+         for (;;) {
+                 if (fgets(line,MAXLINE,fpin) == NULL) 
+                         break;
+ 		dodebug(10,"got: %s",line);
++
++	        /* only get first line */
++        	if (strcmp(vline,"") == 0) {
++                	strncpy(vline, line, MAXLINE);
++        	}
+         }
+ 
+         if (pclose(fpin) == -1) {
+                 g_error("pclose error\n");
+         }
+ 
+-	if (strcmp(line,"") == 0 || strstr(line,"sh:") != NULL) {
++	if (strcmp(vline,"") == 0 || strstr(vline,"sh:") != NULL) {
+ 		/* failed to open - permission denied */
+ 		return 2;
+ 	}
+ 
+-	/* now line contains the version string of cdda2wav */
++	/* now vline contains the version string of cdda2wav */
+ 	/* try to extract the version number */
+ 
+-	p = strstr(line,"version");
++	p = strstr(vline,"version");
+ 	if (p != NULL) {
+ 		p = strtok(p+8, " _");
+ 		if (p != NULL) {
+ 			strcpy(ver,p);
+ 		}
+ 	} else {
+-		p = strstr(line,"cdda2wav");
++		p = strstr(vline,"cdda2wav");
+ 		if (p != NULL) {
+ 			p = strtok(p+9, " ");
+ 			if (p != NULL) {
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Oliver Lehmann freebsd_committer 2013-07-31 18:03:11 UTC
State Changed
From-To: open->closed

fixed, thanks